# Account

#### `GET /accounts/:account_id` <a href="#get-accounts-account_id" id="get-accounts-account_id"></a>

```
const getAccount = () => {
  const timestamp = Math.round(Date.now() / 1000)
  const payload = timestamp + 'GET' + '/accounts/e5e18303-a352-4c28-8dab-3779e66a659b' + '{}'
  const decodedSecret = Buffer.from(apiSecret, 'base64')
  const hmac = crypto.createHmac('sha256', decodedSecret)
  const signedPayload = hmac.update(payload).digest('base64')

  // SET HEADERS
  const headers = {
    'X-NDAX-API-KEY': 'public_key',
    'X-NDAX-SIGNED': signedPayload,
    'X-NDAX-TIMESTAMP': timestamp,
    'X-NDAX-PASSPHRASE': 'passphrase'
  }
  const options = {
    headers,
    body,
    json: true
  }

  return request.get(
    `https://api.ndax.in/accounts/e5e18303-a352-4c28-8dab-3779e66a659b`,
    options
  )
}
```

Response "message" field contains various fields that provide details about the account, such as the asset type ("e₹"), the account owner ("ABC123"), the account type ("collateral\_deficiency"), the account group ("0CDCX"), the account label ("general"), the balance ("0.00"), the account ID ("ce819fe8-b1d7-43bb-961c-e09ede0988d3"), and the last update timestamp (1554395972174).

> Sample Response

```
{
  "message": {
    "asset": "e₹",
    "account_owner": "ABC123",
    "account_type": "collateral_deficiency",
    "account_group": "0CDCX",
    "account_label": "general",
    "balance": "0.00",
    "account_id": "ce819fe8-b1d7-43bb-961c-e09ede0988d3",
    "last_update": 1554395972174
  }
}
```

Information about a specific account. Response parameters listed below.

<table><thead><tr><th width="196.33333333333331">Parameter</th><th width="431">Description</th><th>Type</th></tr></thead><tbody><tr><td>asset</td><td>The asset code for the specific account, e.g. e₹</td><td>string</td></tr><tr><td>account_owner</td><td>The code of the participant that owns the account</td><td>string</td></tr><tr><td>account_type</td><td><code>available</code>, <code>collateral</code>, <code>payable</code>, <code>receivable</code> or <code>collateral_deficiency</code></td><td>string</td></tr><tr><td>account_group</td><td>The sub account determination used for allocating towards settlements</td><td>string</td></tr><tr><td>balance</td><td>The balance in the account</td><td>string</td></tr><tr><td>account_id</td><td>Unique ID of the specific account</td><td>string</td></tr><tr><td>last_update</td><td>Timestamp of last settlement run</td><td>timestamp</td></tr><tr><td>account_label</td><td>The account label associated with the account</td><td>string</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ndax.in/v3/private-endpoints/accounts/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
